Get latest application state
curl --request GET \
--url https://api.parcha.ai/api/v1/getLatestApplicationState \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.parcha.ai/api/v1/getLatestApplicationState"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.parcha.ai/api/v1/getLatestApplicationState', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"self_attested_data": {
"business_name": "<string>",
"registered_business_name": "<string>",
"address_of_incorporation": {
"street_1": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"country_code": "<string>",
"postal_code": "<string>"
},
"address_of_operation": {
"street_1": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"country_code": "<string>",
"postal_code": "<string>"
},
"website": "<string>",
"business_purpose": "<string>",
"description": "<string>",
"industry": "<string>",
"tin_number": "<string>",
"incorporation_date": "2023-12-25"
},
"applicant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"current_check_results": [
{
"check_id": "<string>",
"result": {},
"error": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"past_check_results": [
{
"check_id": "<string>",
"result": {},
"error": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}API Reference
Get latest application state
Retrieve the latest application state for a specific application
GET
/
getLatestApplicationState
Get latest application state
Authorizations
API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.
Query Parameters
The agent key
The ID of the application
Response
200 - application/json
Application state retrieved successfully
- Option 1
- Option 2
Show child attributes
Show child attributes
The ID of the applicant
The type of applicant
Available options:
kyb, kyc, entity The current status of the application
Available options:
PENDING, IN_PROGRESS, COMPLETE, ERROR Last update timestamp
Current check results
Show child attributes
Show child attributes
Past check results
Show child attributes
Show child attributes
⌘I